matrix:
  platform:
    - macos
    - ubuntu2004
  bazel:
    - "8.x"
tasks:
  run_tests:
    bazel: ${{ bazel }}
    platform: ${{ platform }}
    build_flags:
      - "--java_language_version=21"
      - "--java_runtime_version=21"
      - "--tool_java_language_version=21"
      - "--tool_java_runtime_version=21"
    build_targets:
      - "@rules_closure//java/..."
      # Test deps directly used by J2CL
      - "@rules_closure//closure/compiler"
      - "@rules_closure//closure/library/..."
      - "@rules_closure//closure/testing/library/..."

